Subject: [ANNOUNCE] PGP::Sign 0.14 now available
From: Russ Allbery <[email-masked]>
Date: 24 Feb 1999 16:50:32 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

PGP::Sign version 0.14
           (Create and verify detached PGP signatures for data)

I am pleased to announce that version 0.14 of my PGP::Sign Perl module is
now available.  It's winding its way through PAUSE on the way to CPAN as I
write this, or you can download it directly from:
  <URL:ftp://ftp.eyrie.org/pub/software/modules/PGP-Sign-0.14.tar.gz>

An excerpt from the README:

  One important thing to clear up right away:

                     THIS IS NOT A GENERAL PGP MODULE

  For wonderful general PGP modules that will encrypt, decrypt, manage key
  rings, slice, dice, fold, spindle, and mutilate your data, see the PGP
  by-module directory at your local CPAN mirror; hopefully there will be
  one there.  This module sprung out of a need to do one thing and one
  thing only, do it securely, and do it well.  This module creates and
  checks detached signatures for data.  That's it.  If you want to do
  anything else that PGP lets you do, look elsewhere.

There are extensive improvements from the previous version, and even more
extensive improvements from the previously widely announced version.  The
most notable change is that PGP::Sign now supports PGP 5.0 and GnuPG as
well as PGP 2.6.2.  Which style of PGP you are using is determined at
installation time and becomes the default; the PGP program and style can
also be set at run time if you have multiple versions of PGP installed.

In addition, the build process is now somewhat cleaner, easier to
automate, and better documented.  The documentation has been expanded
somewhat, particular in its discussion of incompatibilities between
different PGP implementations that may affect your application.  There is
also now a TODO file sketching out possible future improvements.

In the process of putting together this release, I noted several things
about the current API that didn't make a great deal of sense, so it's
possible that some of the API will be changing in the next few releases.
I will try to keep the changes backwards-compatible as much as possible,
but I consider this module to still be in beta and therefore you may need
to change the way you call it after future upgrades.  This version,
however, should be fully backwards compatible with all previous released
versions.

My thanks to Todd Underwood <[email-masked]> for the impetus to get this
module working under GnuPG and PGP 5.0, and to him and Monte Mitzelfelt
<[email-masked]> for the initial GnuPG implementation that I based mine on.

Please see the package documentation and README for further details.

-- 
#!/usr/bin/perl -- Russ Allbery, Just Another Perl Hacker
$^=q;@!>~|{>krw>yn{u<$$<[~||<Juukn{=,<S~|}<Jwx}qn{<Yn{u<Qjltn{ > 0gFzD gD,
 00Fz, 0,,( 0hF 0g)F/=, 0> "L$/GEIFewe{,$/ 0C$~> "@=,m,|,(e 0.), 01,pnn,y{
rw} >;,$0=q,$,,($_=$^)=~y,$/ C-~><@=\n\r,-~$:-u/ #y,d,s,(\$.),$1,gee,print